> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Facility List

Use this endpoint to search for facilities that can be linked to life cycle processes in your custom materials. These are facilities with shared FEM data that can provide facility-specific environmental impact data for Tier 2/3 material modeling.

### Request body params

| Name         | Type     | Description                                                        |
| :----------- | :------- | :----------------------------------------------------------------- |
| `textSearch` | `string` | Search facilities by name.                                         |
| `size`       | `number` | **\[DEFAULT: 900]** Number of results to return (max 900).         |
| `sort`       | `object` | Sorting configuration `{ field: string, order: "asc" \| "desc" }`. |

### Implementation Details

* **Large page size**: Unlike most PIC endpoints, this endpoint supports up to 900 results per page.
* **Response fields**: Each facility includes a `sacId` (numeric Worldly ID) and `accountName`.
* **Usage**: Use the `sacId` value (converted to a string) as the `facilityWorldlyId` in life cycle processes when [creating](/api-reference/pic/material-library/create) or [updating](/api-reference/pic/material-library/update) custom materials.


## OpenAPI

````yaml api-reference/openapi/french-eco.json POST /material-library/facility-list
openapi: 3.0.0
info:
  title: pic-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/pic-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/pic-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /material-library/facility-list:
    post:
      summary: Get Facility List
      operationId: GetFacilityList
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CorpRepApiSearchFacilityRequest'
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CorpRepApiAvailableFems'
                type: array
components:
  schemas:
    CorpRepApiSearchFacilityRequest:
      properties:
        size:
          type: number
          format: double
          nullable: true
        sort:
          $ref: '#/components/schemas/SortType'
        textSearch:
          type: string
          nullable: true
      type: object
      additionalProperties: false
    CorpRepApiAvailableFems:
      properties:
        sacId:
          type: number
          format: double
        accountName:
          type: string
      required:
        - accountName
        - sacId
      type: object
      additionalProperties: false
    SortType:
      description: API Search requests
      properties:
        field:
          type: string
        order:
          type: string
          enum:
            - asc
            - desc
      required:
        - field
        - order
      type: object
      additionalProperties: false
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````